summaryrefslogtreecommitdiffstats
path: root/about/about-mageia
diff options
context:
space:
mode:
Diffstat (limited to 'about/about-mageia')
-rwxr-xr-xabout/about-mageia22
1 files changed, 22 insertions, 0 deletions
diff --git a/about/about-mageia b/about/about-mageia
new file mode 100755
index 0000000..6f981c0
--- /dev/null
+++ b/about/about-mageia
@@ -0,0 +1,22 @@
+#!/bin/sh
+if [ "x$GNOME_DESKTOP_SESSION_ID" != "x" -a -x /usr/bin/yelp ]; then
+ www_browser="/usr/bin/yelp"
+else
+ www_browser="xdg-open"
+fi
+
+for lang in `echo $LANG:$LANGUAGE | tr ':' ' ' | cut -d'_' -f1` ; do
+ file="/usr/share/mdk/about/index-$lang.html"
+ if [ -f "$file" ]; then
+ $www_browser $file
+ exit 0
+ fi
+done
+
+if [ -f /usr/share/mdk/about/index.html ]; then
+ $www_browser /usr/share/mdk/about/index.html
+ exit 0
+fi
+
+echo "file not found for about Mageia"
+exit 1